%define module_name App-makedist
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy/Recursive.pm) perl(File/Find/Rule.pm) perl(File/LsColor.pm) perl(Module/Extract/VERSION.pm) perl(Pod/Usage.pm) perl(Term/ExtendedColor.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(IPC/System/Simple.pm)

Name: perl-%module_name
Version: 0.026
Release: alt1
Summary: automake a distribution for upload to cpan
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLDRICH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
makedist automates the process of creating a distribution to be
uploaded to CPAN.

The MANIFEST file is inspected for files to be included.

We make an attempt to extract the package name from any perl module
file found, and the package name must follow this convention:

    package File::LsColor;

If extraction fails, we use the basename of the current working
directory as a distribution name:

    ~/dev/makedist  => App-makedist

Version number is extracted from a perl module file if it exists, else
an App:: distribution is assumed and version is extracted from the bin/
directory.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc doc
%_bindir/*
#%_man1dir/*

%changelog
* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.026-alt1
- updated by package builder

* Sun Feb 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.024-alt1
- updated by package builder

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.016-alt1
- initial import by package builder

